curl --request POST \
--url https://api.example.com/api/data-readiness/workflows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"config": {
"enable_profiling": true
},
"schedule": {
"cron_expression": "0 0 * * *",
"enabled": true
},
"workflow_definition_id": "550e8400-e29b-41d4-a716-446655440001"
}
'import requests
url = "https://api.example.com/api/data-readiness/workflows"
payload = {
"config": { "enable_profiling": True },
"schedule": {
"cron_expression": "0 0 * * *",
"enabled": True
},
"workflow_definition_id": "550e8400-e29b-41d4-a716-446655440001"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
config: {enable_profiling: true},
schedule: {cron_expression: '0 0 * * *', enabled: true},
workflow_definition_id: '550e8400-e29b-41d4-a716-446655440001'
})
};
fetch('https://api.example.com/api/data-readiness/workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"config": {
"confidence_threshold": 0.85
},
"configuration_id": "123e4567-e89b-12d3-a456-426614174000",
"created_at": "2024-01-15T10:30:00Z",
"triggers": []
}{
"error": {
"code": "WORKFLOW_NOT_FOUND",
"message": "Workflow configuration with id '123e4567-e89b-12d3-a456-426614174000' not found",
"details": {
"workflow_id": "123e4567-e89b-12d3-a456-426614174000"
}
},
"request_id": "req_abc123xyz"
}{
"error": {
"code": "WORKFLOW_NOT_FOUND",
"message": "Workflow configuration with id '123e4567-e89b-12d3-a456-426614174000' not found",
"details": {
"workflow_id": "123e4567-e89b-12d3-a456-426614174000"
}
},
"request_id": "req_abc123xyz"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"code": "WORKFLOW_NOT_FOUND",
"message": "Workflow configuration with id '123e4567-e89b-12d3-a456-426614174000' not found",
"details": {
"workflow_id": "123e4567-e89b-12d3-a456-426614174000"
}
},
"request_id": "req_abc123xyz"
}Create Workflow Configuration
Create a new workflow configuration with custom settings, schedule, and triggers.
This creates a configuration that can be used to run workflows with specific settings.
Required:
workflow_definition_id: ID of the workflow definition to configure
Optional:
config: Configuration overridesschedule: Schedule configuration for automated executiontriggers: Event-based triggers for workflow execution
Authorizations
JWT Bearer token authentication. Include the token in the Authorization header as: Authorization: Bearer <token>. The JWT must contain valid client_id, and project_id claims for tenant isolation and SDK routing.
Body
Request body for creating a workflow configuration.
ID of the workflow definition to configure
"550e8400-e29b-41d4-a716-446655440001"
Configuration overrides for this workflow configuration.
{
"processor_config": {
"enable_profiling": true,
"profile_sample": 1000
},
"source_config": {
"database": "analytics",
"host": "db.example.com",
"port": 5432,
"type": "postgres"
}
}
Schedule configuration for automated execution
Show child attributes
Show child attributes
Event-based triggers for workflow execution
Show child attributes
Show child attributes
Response
Successful Response
Response for workflow configuration creation.
Created configuration identifier
"123e4567-e89b-12d3-a456-426614174000"
Creation timestamp (ISO 8601)
"2024-01-15T10:30:00Z"
Applied configuration
{ "confidence_threshold": 0.85 }
Schedule summary
Show child attributes
Show child attributes
{
"cron_expression": "0 0 * * *",
"enabled": true
}
List of triggers
Show child attributes
Show child attributes
Was this page helpful?

